Package ghidra.app.util.bin.format.pe.rich

# Enum Class MSProductType

java.lang.Object
java.lang.Enum<MSProductType>
ghidra.app.util.bin.format.pe.rich.MSProductType

All Implemented Interfaces:
  `Serializable`, `Comparable<MSProductType>`, `Constable`

public enum MSProductType extends Enum<MSProductType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Assembler`
  `C_Compiler`
  `CVTRes`
  `CXX_Compiler`
  `Export`
  `Import`
  `ImportExport`
  `Linker`
  `Unknown`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static MSProductType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MSProductType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CXX_Compiler

    public static final MSProductType CXX_Compiler

  - ### C_Compiler

    public static final MSProductType C_Compiler

  - ### Assembler

    public static final MSProductType Assembler

  - ### Import

    public static final MSProductType Import

  - ### Export

    public static final MSProductType Export

  - ### ImportExport

    public static final MSProductType ImportExport

  - ### Linker

    public static final MSProductType Linker

  - ### CVTRes

    public static final MSProductType CVTRes

  - ### Unknown

    public static final MSProductType Unknown

- ## Method Details

  - ### values

    public static MSProductType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MSProductType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<MSProductType>`